%global commit aaf6fae83a0aa6f7aae1c94721857076d04a14e8
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           libfragmentzip
Version:        0.0
Release:        60.git%{shortcommit}%{?dist}
Summary:        A library allowing to download single files from a remote zip archive

License:        LGPLv3
URL:            https://github.com/tihmstar/libfragmentzip
Source0:        https://github.com/tihmstar/libfragmentzip/archive/%{commit}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  git

BuildRequires:  libcurl-devel
BuildRequires:  libzip-devel
BuildRequires:  zlib-devel
BuildRequires:  libgeneral-devel

%description
A library allowing to download single files from a remote zip archive

%package devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with %{name}.


%prep
%autosetup -n %{name}-%{commit}
sed -i -e "s|^AC_INIT.*$|AC_INIT([libgeneral], [60], [tihmstar@gmail.com])|g" configure.ac
sed -i -e "12,15d" configure.ac
sed -i -e '12a AC_DEFINE([VERSION_COMMIT_COUNT], "60", [Git commit count])\nAC_DEFINE([VERSION_COMMIT_SHA], "%{shortcommit}", [Git commit sha])\nAC_SUBST([VERSION_COMMIT_COUNT], ["60"])\nAC_SUBST([VERSION_COMMIT_SHA], ["%{shortcommit}"])' configure.ac
./autogen.sh


%build
%configure --disable-static
%make_build


%install
%make_install

find %{buildroot} -name '*.la' -delete


%files
%license LICENSE
%doc README
%{_libdir}/%{name}.so.*


%files devel
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}.so
%{_includedir}/%{name}
%{_includedir}/%{name}/%{name}.h


%changelog
* Sat Jun 12 2021 Carlos Mogas da Silva <r3pek@r3pek.org> - 0.1-1.gitaaf6fae
- Version Bump

* Fri Aug 30 2019 Carlos Mogas da Silva <r3pek@r3pek.org> - 0.1-1.git9a14622
- Initial release
